petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCMGSetResidual

Sets the function to be used to calculate the residual on the lth level.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetResidual(PC pc,PetscInt l,PetscErrorCode (*residual)(Mat,Vec,Vec,Vec),Mat mat)

Logically Collective on PC and Mat

### Input Parameters

| pc | - the multigrid context
| l | - the level (0 is coarsest) to supply
| residual | - function used to form residual, if none is provided the previously provide one is used, if no previous one were provided then a default is used
| mat | - matrix associated with residual

### Keywords

MG, set, multigrid, residual, level

### See Also

PCMGResidualDefault()

Level:advanced
Location:src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages